Foxit PDF Conversion SDK

Public Member Functions | List of all members
foxit.common.WStringArray Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| WStringArray ()
| Constructor.
| WStringArray (WStringArray other)
| Constructor, with another array object. More...
void | Add (string element)
| Add an element to the end of current array. More...
string | GetAt (uint index)
| Retrieve a copy of the element at position specified by index in current array. More...
uint | GetSize ()
| Get the size of elements in current array. More...
void | InsertAt (uint index, string element)
| Insert an element before the position specified by index. More...
void | RemoveAll ()
| Remove all the element from current array. More...
void | RemoveAt (uint index)
| Remove the element in position specified by index. More...

## Detailed Description

This class represents an array of WString objects.

## Constructor & Destructor Documentation

## ◆ WStringArray()

foxit.common.WStringArray.WStringArray | ( | WStringArray | other | ) |
| inline

Constructor, with another array object.

Parameters

  [in] | other | Another array object.

## Member Function Documentation

## ◆ Add()

void foxit.common.WStringArray.Add | ( | string | element | ) |
| inline

Add an element to the end of current array.

Parameters

  [in] | element | New element to be added to current array.

Returns
  None.

## ◆ GetAt()

string foxit.common.WStringArray.GetAt | ( | uint | index | ) |
| inline

Retrieve a copy of the element at position specified by index in current array.

Parameters

  [in] | index | An index to specify which element is to be retrieved.

Returns
  A copy of an element.

## ◆ GetSize()

uint foxit.common.WStringArray.GetSize | ( |  | ) |
| inline

Get the size of elements in current array.

Returns
  The size.

## ◆ InsertAt()

void foxit.common.WStringArray.InsertAt | ( | uint | index,
|  | string | element
| ) |  |
| inline

Insert an element before the position specified by index.

Parameters

  [in] | index | An index to specify where to insert the new element. Valid range: from 0 to (size-1). size is the size of elements in current array.
  [in] | element | New element to be inserted to current array.

Returns
  None.

## ◆ RemoveAll()

void foxit.common.WStringArray.RemoveAll | ( |  | ) |
| inline

Remove all the element from current array.

Returns
  None.

## ◆ RemoveAt()

void foxit.common.WStringArray.RemoveAt | ( | uint | index | ) |
| inline

Remove the element in position specified by index.

Parameters

  [in] | index | An index to specify which element is to be removed. Valid range: from 0 to (size-1). size is the size of elements in current array.

Returns
  None.